<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/include/database.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Классы</a> &#124;
<a href="#define-members">Макросы</a>  </div>
  <div class="headertitle">
<div class="title">Файл database.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QObject&gt;</code><br />
<code>#include &lt;QtSql/QSqlDatabase&gt;</code><br />
<code>#include &lt;QSqlQuery&gt;</code><br />
<code>#include &lt;QDebug&gt;</code><br />
<code>#include &lt;QSqlError&gt;</code><br />
<code>#include &lt;QJsonObject&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QKeySequence&gt;</code><br />
<code>#include &quot;../deskhelper/include/levenshtein.h&quot;</code><br />
<code>#include &lt;QDate&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Граф включаемых заголовочных файлов для database.h:</div>
<div class="dyncontent">
<div class="center"><img src="database_8h__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8h" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8h" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8h">
<area shape="rect" title=" " alt="" coords="480,5,709,76"/>
<area shape="rect" title=" " alt="" coords="5,131,80,158"/>
<area shape="rect" title=" " alt="" coords="105,131,258,158"/>
<area shape="rect" title=" " alt="" coords="283,131,373,158"/>
<area shape="rect" title=" " alt="" coords="397,131,472,158"/>
<area shape="rect" title=" " alt="" coords="496,131,579,158"/>
<area shape="rect" title=" " alt="" coords="603,131,704,158"/>
<area shape="rect" title=" " alt="" coords="729,131,855,158"/>
<area shape="rect" title=" " alt="" coords="879,131,998,158"/>
<area shape="rect" title=" " alt="" coords="1023,124,1180,165"/>
<area shape="rect" title=" " alt="" coords="1205,131,1267,158"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Граф файлов, в которые включается этот файл:</div>
<div class="dyncontent">
<div class="center"><img src="database_8h__dep__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8hdep" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8hdep" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2include_2database_8hdep">
<area shape="rect" title=" " alt="" coords="5,5,235,76"/>
<area shape="rect" href="main_8cpp.html" title="Точка входа в программу" alt="" coords="5,124,235,195"/>
</map>
</div>
</div>
<p><a href="database_8h_source.html">См. исходные тексты.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Классы</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDatabase.html">Database</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Класс для связи приложения и БД  <a href="classDatabase.html#details">Подробнее...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Макросы</h2></td></tr>
<tr class="memitem:a19071eca7ee3b600f216a7441743ff34"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="database_8h.html#a19071eca7ee3b600f216a7441743ff34">COUNT_OF_PARAMS_IMAGESLIST</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a19071eca7ee3b600f216a7441743ff34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Макросы</h2>
<a id="a19071eca7ee3b600f216a7441743ff34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19071eca7ee3b600f216a7441743ff34">&#9670;&nbsp;</a></span>COUNT_OF_PARAMS_IMAGESLIST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COUNT_OF_PARAMS_IMAGESLIST&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="database_8h_source.html">database.h</a> строка <a class="el" href="database_8h_source.html#l00016">16</a></p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
